#### D.6.15.13 newtonpoly

Procedure from library `hnoether.lib` (see hnoether_lib).

Usage:
  newtonpoly(f); f poly

Assume:
  basering has exactly two variables;
  f is convenient, that is, f(x,0) != 0 != f(0,y).

Return:
  list of intvecs (= coordinates x,y of the Newton polygon of f).

Note:
  Procedure uses `execute`; this can be avoided by calling `newtonpoly(f,1)` if the ordering of the basering is `ls`.

Example:

    LIB "hnoether.lib";
    ring r=0,(x,y),ls;
    poly f=x5+2x3y-x2y2+3xy5+y6-y7;
    newtonpoly(f);
    ==> [1]:
    ==>    0,6
    ==> [2]:
    ==>    2,2
    ==> [3]:
    ==>    3,1
    ==> [4]:
    ==>    5,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.